displayName は HAS(:)演算子のみを受け入れます。照合するテキストは、まずトークンにトークン化され、各トークンはスペースの displayName 内の任意の場所で、大文字と小文字を区別せずに独立して接頭辞照合されます。たとえば、Fun Eve は Fun event または The
evening was fun と一致しますが、notFun event または even とは一致しません。useAdminAccess が false に設定されている場合、意味のある結果を取得するには displayName が必要です。それ以外の場合、デフォルトの動作は空のレスポンスを返すことです。
異なるフィールドでは、AND 演算子のみがサポートされています。有効な例は spaceType = "SPACE" AND displayName:"Hello" で、無効な例は spaceType = "SPACE" OR displayName:"Hello" です。
同じフィールド内で、spaceType は AND 演算子または OR 演算子をサポートしていません。displayName、spaceHistoryState、externalUserAllowed は OR 演算子のみをサポートします。lastActiveTime と createTime は、AND 演算子と OR 演算子の両方をサポートしています。AND は、lastActiveTime
< "2022-01-01T00:00:00+00:00" AND lastActiveTime >
"2023-01-01T00:00:00+00:00" などの間隔を表す場合にのみ使用できます。
次のクエリの例は、useAdminAccess が true に設定されている場合に有効です。
customer = "customers/my_customer" AND spaceType = "SPACE"
customer = "customers/my_customer" AND spaceType = "SPACE" AND
displayName:"Hello World"
customer = "customers/my_customer" AND spaceType = "SPACE" AND
(lastActiveTime < "2020-01-01T00:00:00+00:00" OR lastActiveTime >
"2022-01-01T00:00:00+00:00")
customer = "customers/my_customer" AND spaceType = "SPACE" AND
(displayName:"Hello World" OR displayName:"Fun event") AND
(lastActiveTime > "2020-01-01T00:00:00+00:00" AND lastActiveTime <
"2022-01-01T00:00:00+00:00")
customer = "customers/my_customer" AND spaceType = "SPACE" AND
(createTime > "2019-01-01T00:00:00+00:00" AND createTime <
"2020-01-01T00:00:00+00:00") AND (externalUserAllowed = "true") AND
(spaceHistoryState = "HISTORY_ON" OR spaceHistoryState = "HISTORY_OFF")
次のクエリの例は、useAdminAccess が false に設定されている場合に有効です。
displayName:"Hello World" AND spaceType = "SPACE"
(displayName:"Hello" OR displayName:"Fun") AND spaceType = "SPACE"
(externalUserAllowed = "true" AND spaceType = "SPACE") // Returns an
empty response.
(externalUserAllowed = "true" AND displayName:"Hello" AND spaceType =
"SPACE")
[[["わかりやすい","easyToUnderstand","thumb-up"],["問題の解決に役立った","solvedMyProblem","thumb-up"],["その他","otherUp","thumb-up"]],[["必要な情報がない","missingTheInformationINeed","thumb-down"],["複雑すぎる / 手順が多すぎる","tooComplicatedTooManySteps","thumb-down"],["最新ではない","outOfDate","thumb-down"],["翻訳に関する問題","translationIssue","thumb-down"],["サンプル / コードに問題がある","samplesCodeIssue","thumb-down"],["その他","otherDown","thumb-down"]],["最終更新日 2026-07-13 UTC。"],[],["To search for Google Workspace spaces, send a `GET` request to `https://chat.googleapis.com/v1/spaces:search`, ensuring admin privileges and setting `useAdminAccess` to `true`. Define the search using query parameters, including a required `query` to filter spaces (by `customer`, `displayName`, etc.), optional `pageSize` and `pageToken` for pagination, and optional `orderBy` for sorting. You must have one of the authorization scopes: `chat.admin.spaces` or `chat.admin.spaces.readonly`. The response will list spaces matching the query.\n"]]